## ros-noetic-ntrip-client 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ntrip_client)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  rospy
  std_msgs
  mavros_msgs
  nmea_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS
    rospy
    std_msgs
    mavros_msgs
    nmea_msgs
)

#############
## Install ##
#############

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
catkin_install_python(PROGRAMS
  scripts/ntrip_ros.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark python modules for installation
catkin_python_setup()

## Install the launch files
install(DIRECTORY launch/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

=== debian/changelog ===
ros-noetic-ntrip-client (1.2.0-1focal) focal; urgency=high

  * Adds the ability to configure the NTRIP client to connect using SSL (#23 <https://github.com/LORD-MicroStrain/ntrip_client/issues/23>)
  * ROS automatic reconnect (#18 <https://github.com/LORD-MicroStrain/ntrip_client/issues/18>)
    * Adds ability to reconnect to ROS
    * Allows the timeouts and other parameters to be modified via the launch file
    * Moves optional config out of constructor, and declares constnats in class definition
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 11 Aug 2022 04:00:00 -0000

ros-noetic-ntrip-client (1.1.0-1focal) focal; urgency=high

  * ROS Ntrip Version Configuration (#8 <https://github.com/LORD-MicroStrain/ntrip_client/issues/8>)
    * No longer sends Ntrip-Version header if not specified
    * Adds some hopefully helpful debug logging
    * Properly handles responses that have both a failure response and success response
    * Adds ability to print debug logs via launch parameter
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 22 Apr 2022 04:00:00 -0000

ros-noetic-ntrip-client (1.0.1-1focal) focal; urgency=high

  * Checks if there is a * character in the string before parsing fully
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 10 Feb 2022 05:00:00 -0000

ros-noetic-ntrip-client (1.0.0-1focal) focal; urgency=high

  * Initial implementation of ROS NTRIP client
  * Adds ability to cache packets if they do contain some of a mesage but not the whole thing
  * Contributors: drobb257, nathanmillerparker, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 08 Dec 2021 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-ntrip-client
Section: misc
Priority: optional
Maintainer: Rob Fisher <rob.fisher@parker.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-mavros-msgs, ros-noetic-nmea-msgs, ros-noetic-rospy, ros-noetic-std-msgs
Homepage: https://github.com/LORD-MicroStrain/ntrip_client
Standards-Version: 3.9.2

Package: ros-noetic-ntrip-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-mavros-msgs, ros-noetic-nmea-msgs, ros-noetic-rospy, ros-noetic-std-msgs
Description: NTRIP client that will publish RTCM corrections to a ROS topic, and optionally subscribe to NMEA messages to send to an NTRIP server

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ntrip-client//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
